<?php 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */

// création de cookie

// la valeur "Matthieu" et expire à la fin de la session. 
$ok = setcookie("nom", "Matthieu"); 

// Idem mais expire à la date du jour (time() en secondes) dans 30 jours. 
$ok = setcookie("nom", "Matthieu", time()+(30*24*3600)); 

// Suppression du cookie. 
$ok = setcookie("nom"); 


// gestion des sessions avec les cookies

// Tester si la session est ouverte, c’est-à-dire si une variable "session" a été transmise par le cookie. 
if (! isset($_COOKIE["session"]) )
{ 
	// Variable "session" vide = pas de session. 
	// => ouvrir la session. 
	// Pour cet exemple : 
	//    - identifiant de session. 
	$session = md5( uniqid("developpement") ); 
	
	//    - date/heure d’ouverture de la session. 
	$date = date(" \l\e d/m/Y a H:i:s"); 

	// Déposer deux cookies pour stocker ces informations. 
	// Durée de vie = la date du jour (time() en secondes) dans 30 jours. 
	setcookie("session",$session, time()+(30*24*3600) ); 
	setcookie("date",$date, time()+(30*24*3600) ); 

	//    - message. 
	$message = "Nouvelle session : ".$session." ".$date."<br />"; 
}
else
{ 
	// Variable "session" resneignée = session ouverte. 
	// => récupére les informations
	$session = $_COOKIE["session"]; 
	$date = $_COOKIE["date"]; 

	$message = "Session deja ouverte: ".$session.$date."<br />"; 
} 

echo $message;

// Détermine la date et l'heure actuelle
echo "<br />Nous sommes le ".date("d/m/Y").", il est ".date('H:i:s')."<br /><br />"; 


?>
